Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.components
Class GridCell

    java.lang.Object
      org.apache.tapestry5.corelib.base.AbstractPropertyOutput
          org.apache.tapestry5.corelib.components.GridCell

    public class GridCell

extends AbstractPropertyOutput

Part of `Grid` that renders the markup inside a single data cell. GridCell is used inside a pair of loops; the outer loop for each row, the inner loop for each property of the row.

Component Parameters
Name | Description | Type | Flags | Default | Default Prefix | Since
--- | --- | --- | --- | --- | --- | ---
beanBlockSource | Source for property display blocks. This defaults to the default implementation of org.apache.tapestry5.services.BeanBlockSource. | org.apache.tapestry5.services.BeanBlockSource | Required, Not Null |  | prop |
model | Model for property displayed by the cell. | org.apache.tapestry5.beaneditor.PropertyModel | Required, Not Null |  | prop |
object | Identifies the object being rendered. The component will extract a property from the object and render its value (or delegate to a org.apache.tapestry5.Block that will do so). | Object | Required |  | prop |
overrides | Used to search for block parameter overrides (this is normally the enclosing Grid component's resources). | org.apache.tapestry5.PropertyOverrides | Required, Not Null |  | prop |

Constructor Summary
`GridCell()`

Method Summary

Methods inherited from class org.apache.tapestry5.corelib.base.AbstractPropertyOutput
`getPropertyModel, renderPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridCell

    public GridCell()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.